Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008080TestLinkGUIpublic2017-09-19 19:512017-09-21 19:10
Reporteracoloma 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows Server 2012 R2OS Version6.3.9600
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0008080: Search Test Cases displays query
DescriptionSearch Test Cases feature displays the database query on top of the Form.
Steps To Reproduce1. From Desktop
2. Click on Search Test Cases
3. Fill in Creation Date From:, Creation Date To:, Modification Date From: & Modification Date To: Form
4. Click on Find.
Additional InformationHere is the query displayed:
RRR SELECT NH_TC.id AS testcase_id,NH_TC.name,TCV.id AS tcversion_id, TCV.summary, TCV.version, TCV.tc_external_id FROM nodes_hierarchy NH_TC JOIN nodes_hierarchy NH_TCV ON NH_TCV.parent_id = NH_TC.id JOIN tcversions TCV ON NH_TCV.id = TCV.id LEFT OUTER JOIN nodes_hierarchy NH_TCSTEPS ON NH_TCSTEPS.parent_id = NH_TCV.id LEFT OUTER JOIN tcsteps TCSTEPS ON NH_TCSTEPS.id = TCSTEPS.id WHERE 1=1 AND TCV. creation_ts >= '2016-01-04' AND TCV.creation_ts <= '2017-06-05 23:59:59' AND TCV. modification_ts >= '2016-01
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE, Edge, Firefox & Chrome
PHP VersionPHP 7.1.2
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon Search_Test_Cases.png [^] (148,752 bytes) 2017-09-19 19:51

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026851)
acoloma (reporter)
2017-09-19 19:54

I tried the fix here but it didn't help.
Database search queries are displayed in GUI
http://mantis.testlink.org/print_bug_page.php?bug_id=6994 [^]

Commented out these lines on this file.
C:\xampp\htdocs\testlink-1.9.16\lib\functions\testplan.class.php

6815 # new dBug($rs);
7049 # new dBug($my['join']['ua']);
7106 # new dBug($union);
(0026852)
fman (administrator)
2017-09-20 08:39

Thanks for help, I'm going to fix
(0026855)
fman (administrator)
2017-09-20 08:44

if you see this info is because you have configured the debug enabled.

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/a7e441a14caeec0af9c27941c04d52c788748e8f [^]
(0026858)
acoloma (reporter)
2017-09-21 16:54

I tried using the testplan.class.php file from GitHub but the issue persisted.
Downloaded the file and replace the one under
C:\xampp\htdocs\testlink-1.9.16\lib\functions\testplan.class.php
(0026859)
fman (administrator)
2017-09-21 19:10

well is near impossible because I've removed the debug lines.
double check that you have the right code

- Issue History
Date Modified Username Field Change
2017-09-19 19:51 acoloma New Issue
2017-09-19 19:51 acoloma File Added: Search_Test_Cases.png
2017-09-19 19:54 acoloma Note Added: 0026851
2017-09-20 08:39 fman QA Team - Task Workflow Status => TBD
2017-09-20 08:39 fman Additional Information Updated View Revisions
2017-09-20 08:39 fman Note Added: 0026852
2017-09-20 08:44 fman Note Added: 0026855
2017-09-20 08:45 fman Status new => resolved
2017-09-20 08:45 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-09-20 08:45 fman Resolution open => fixed
2017-09-20 08:45 fman Assigned To => fman
2017-09-20 08:45 fman Relationship added child of 0007817
2017-09-21 16:54 acoloma Note Added: 0026858
2017-09-21 19:10 fman Note Added: 0026859



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker